aboutsummaryrefslogtreecommitdiffstats
path: root/tests/qemu-iotests/014
diff options
context:
space:
mode:
authorChristoph Hellwig <hch@brick.lst.de>2009-06-22 18:29:05 +0200
committerKevin Wolf <kwolf@redhat.com>2012-02-22 16:15:22 +0100
commit6bf19c94a0518a2c9101f2ee368c9a0ea56101ba (patch)
tree23eec42372118118691554744ed7e04ad0e21df8 /tests/qemu-iotests/014
qemu-iotests: Initial import into the public repository.
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
Diffstat (limited to 'tests/qemu-iotests/014')
-rwxr-xr-xtests/qemu-iotests/01476
1 files changed, 76 insertions, 0 deletions
diff --git a/tests/qemu-iotests/014 b/tests/qemu-iotests/014
new file mode 100755
index 000000000..03a1298a8
--- /dev/null
+++ b/tests/qemu-iotests/014
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# qcow2 pattern test, complex patterns including compression and snapshots
+#
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA
+#
+
+# creator
+owner=kwolf@redhat.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.pattern
+
+# much of this could be generic for any format supporting compression.
+_supported_fmt qcow2
+_supported_os Linux
+
+TEST_OFFSETS="0 4294967296"
+TEST_OPS="writev read write readv"
+
+_make_test_img 6G
+
+echo "Testing empty image:"
+for offset in $TEST_OFFSETS; do
+ echo test2: With offset $offset
+ io_test2 $offset
+ _check_test_img
+done
+
+# With snapshots
+for i in `seq 1 3`; do
+ $QEMU_IMG snapshot -c test$i $TEST_IMG
+ for offset in $TEST_OFFSETS; do
+ echo With snapshot test$i, offset $offset
+ for op in $TEST_OPS; do
+ io_test $op $offset
+ done
+ _check_test_img
+ done
+done
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0